from mod_python import apache
import fileinput
import StringIO

feed_file = '/home/abingham/public_html/rawdog/feeds'

def index(req, feed_url=None, feed_rate=None, **args):
	s = StringIO.StringIO()

	if args.has_key('feeds[]'):
		f = open(feed_file, 'w')
		for feed in args['feeds[]']:
                        f.write('%s\n' % feed)
		f.close()

	if feed_url and feed_rate:
		f = open(feed_file, 'a')
		f.write('feed %s %s\n' % (feed_rate, feed_url))
		f.close()

        s.write('''
                <html>
                <b>Current feeds</b> (uncheck to remove from list)<p>
                <form name="rawdog_feeds" method="POST" action="rded.py">
                ''')

        for line in fileinput.input(feed_file):
                if len(line) > 0:
                        s.write('<input type=\"checkbox\" name=\"feeds[]\" value=\"%s\" checked=\"1\">%s<br>' % (line, line))

        s.write('''
         	<hr>
                <b>Add feed</b><br>
                URL: <input type="input" name="feed_url" value=""><br>
                Rate: <input type="input" name="feed_rate" value="1h">
                <hr>
                <input type="submit" name="submit" value="Submit">
                </form>
                </html>
                ''')

	return s.getvalue()
